Bug 302587 - autocompletion inserts bogus spaces for "void" function arguments
Summary: autocompletion inserts bogus spaces for "void" function arguments
Status: RESOLVED FIXED
Alias: None
Product: kdevelop
Classification: Unclassified
Component: Language Support: CPP (old) (show other bugs)
Version: 4.3.1
Platform: openSUSE RPMs Linux
: VLO minor (vote)
Target Milestone: 4.3.0
Assignee: kdevelop-bugs-null
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-26 19:04 UTC by Rolf Eike Beer
Modified: 2013-10-09 14:44 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rolf Eike Beer 2012-06-26 19:04:41 UTC
Say you have a class member declared as "int foo(void)". When you try to implement this using the code completion you will get a signature of "int myclass::foo(void )" (note the space after the void.

Reproducible: Always




This is likely related to bug 272834. The code completer needs to be taught about the special meaning of "void".
Comment 1 Rolf Eike Beer 2013-10-09 14:44:25 UTC
Git commit 9c95600d1ca4d622ec14deb3bf16fe526ec80ba7 by Rolf Eike Beer.
Committed on 09/10/2013 at 14:41.
Pushed by dakon into branch '4.5'.

do not insert spaces in function definition after void or type with no argument name

Hint: basically done by Milian to trick me into being able to fix some of my
problems myself later.

M  +4    -1    languages/cpp/codecompletion/helpers.cpp
M  +2    -0    languages/cpp/tests/test_cppcodecompletion.cpp

http://commits.kde.org/kdevelop/9c95600d1ca4d622ec14deb3bf16fe526ec80ba7